Description: Make libart use dlmalloc from
https://android.googlesource.com/platform/external/dlmalloc
Forwarded: not-needed
--- a/art/runtime/gc/allocator/dlmalloc.h
+++ b/art/runtime/gc/allocator/dlmalloc.h
@@ -33,7 +33,7 @@
 #pragma GCC diagnostic push
 #pragma GCC diagnostic ignored "-Wredundant-decls"
 #pragma GCC diagnostic ignored "-Wnull-pointer-arithmetic"
-#include "../../external/dlmalloc/malloc.h"
+#include "../../../../debian/include/art/dlmalloc/malloc.h"
 #pragma GCC diagnostic pop
 
 // Callback for dlmalloc_inspect_all or mspace_inspect_all that will madvise(2) unused
--- a/art/runtime/gc/allocator/dlmalloc.cc
+++ b/art/runtime/gc/allocator/dlmalloc.cc
@@ -39,7 +39,7 @@
 #pragma GCC diagnostic ignored "-Wstrict-aliasing"
 #pragma GCC diagnostic ignored "-Wnull-pointer-arithmetic"
 #pragma GCC diagnostic ignored "-Wexpansion-to-defined"
-#include "../../../external/dlmalloc/malloc.c"
+#include "../../../../debian/include/art/dlmalloc/malloc.c"
 // Note: malloc.c uses a DEBUG define to drive debug code. This interferes with the DEBUG severity
 //       of libbase, so undefine it now.
 #undef DEBUG
